// This file was generated by		
// Qfsm Version 0.43			
// (C) Stefan Duffner			

module no_idea (clock, reset, in, out, state, moore);
  input     clock, reset;
  input  [7:0]  in;
  output [7:0]  out;
  output [7:0]  moore;
  output [1:0]  state;

  reg[7:0]      out;
  reg[7:0]      moore;
  reg[1:0]      state, nextstate;

  parameter State_0 = 2'b00, State_1 = 2'b01, State_2 = 2'b10;

  always @ (posedge reset or posedge clock) begin
    if (reset)
      begin
        state <= State_0;
      end;
    else
      begin
        state <= nextstate;
        case (nextstate)
          State_0:
          State_1:
          State_2:
        endcase
      end
  end

  always @ (reset or in or state) begin
    if (reset)
      nextstate = State_0;
    else begin
      out = 8'b00000000;
      nextstate = state;
      case (state)
        State_0:
        begin
          if (in!=8'b01100001 && 
              in!=8'b01100010 && 
              in!=8'b01100011 && 
              in!=8'b01100100 && 
              in!=8'b01100101 && 
              in!=8'b01100110 && 
              in!=8'b01100111 && 
              in!=8'b01101000 && 
              in!=8'b01101001 && 
              in!=8'b01101010 && 
              in!=8'b01101011 && 
              in!=8'b01101100 && 
              in!=8'b01101101 && 
              in!=8'b01101110 && 
              in!=8'b01101111 && 
              in!=8'b01110000 && 
              in!=8'b01110001 && 
              in!=8'b01110010 && 
              in!=8'b01110011 && 
              in!=8'b01110100 && 
              in!=8'b01110101 && 
              in!=8'b01110110 && 
              in!=8'b01110111 && 
              in!=8'b01111000 && 
              in!=8'b01111001 && 
              in!=8'b01111010 && 
              in!=8'b01010110)
          begin
            out = 8'b01100110;
            nextstate = State_1;
          end
        end
        State_1:
        begin
          if (in==8'b00110000 || 
              in==8'b00110001 || 
              in==8'b00110010 || 
              in==8'b00110011 || 
              in==8'b00110100 || 
              in==8'b00110101 || 
              in==8'b00110110 || 
              in==8'b00110111 || 
              in==8'b00111000 || 
              in==8'b00111001)
          begin
            nextstate = State_0;
          end
          else if (in!=8'b00110000 && 
              in!=8'b00110001 && 
              in!=8'b00110010 && 
              in!=8'b00110011 && 
              in!=8'b00110100 && 
              in!=8'b00110101 && 
              in!=8'b00110110 && 
              in!=8'b00110111 && 
              in!=8'b00111000 && 
              in!=8'b00111001)
          begin
            nextstate = State_2;
          end
        end
        State_2:
        begin
          if (in!=8'b00110000 && 
              in!=8'b00110001 && 
              in!=8'b00110010 && 
              in!=8'b00110011 && 
              in!=8'b00110100 && 
              in!=8'b00110101 && 
              in!=8'b00110110 && 
              in!=8'b00110111 && 
              in!=8'b00111000 && 
              in!=8'b00111001 && 
              in!=8'b00111010 && 
              in!=8'b00111011 && 
              in!=8'b00111100 && 
              in!=8'b00111101 && 
              in!=8'b00111110 && 
              in!=8'b00111111 && 
              in!=8'b01000000 && 
              in!=8'b01000001 && 
              in!=8'b01000010 && 
              in!=8'b01000011 && 
              in!=8'b01000100 && 
              in!=8'b01000101 && 
              in!=8'b01000110 && 
              in!=8'b01000111 && 
              in!=8'b01001000 && 
              in!=8'b01001001 && 
              in!=8'b01001010 && 
              in!=8'b01001011 && 
              in!=8'b01001100 && 
              in!=8'b01001101 && 
              in!=8'b01001110 && 
              in!=8'b01001111 && 
              in!=8'b01010000 && 
              in!=8'b01010001 && 
              in!=8'b01010010 && 
              in!=8'b01010011 && 
              in!=8'b01010100 && 
              in!=8'b01010101 && 
              in!=8'b01010110 && 
              in!=8'b01010111 && 
              in!=8'b01011000 && 
              in!=8'b01011001 && 
              in!=8'b01011010 && 
              in!=8'b01011011 && 
              in!=8'b01011100 && 
              in!=8'b01011101 && 
              in!=8'b01011110 && 
              in!=8'b01011111 && 
              in!=8'b01100000 && 
              in!=8'b01100001)
          begin
            nextstate = State_0;
          end
        end
      endcase
    end
  end

endmodule
